Package org.apache.sysds.runtime.compress.utils

## Class DoubleCountHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DoubleCountHashMap

    public class DoubleCountHashMap
    extends Object

### Constructor Summary

Constructors
`DoubleCountHashMap​(int init_capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DCounts[]` `extractValues()`
`int` `get​(double key)` Get the value on a key, if the key is not inside a NullPointerException is thrown.
`double[]` `getDictionary()`
`double` `getMostFrequent()`
`int` `getOrDefault​(double key, int def)`
`int[]` `getUnorderedCountsAndReplaceWithUIDs()`
`int[]` `getUnorderedCountsAndReplaceWithUIDsWithout0()`
`int` `increment​(double key)`
`int` `increment​(double key, int count)`
`void` `replaceWithUIDs()`
`void` `replaceWithUIDsNoZero()`
`void` `reset​(int size)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DoubleCountHashMap

    public DoubleCountHashMap​(int init_capacity)

### Method Detail

#### size

    public int size()

#### increment

    public final int increment​(double key)

#### increment

    public final int increment​(double key,
                               int count)

#### get

    public int get​(double key)

Get the value on a key, if the key is not inside a NullPointerException is thrown.

Parameters:
  `key` - the key to lookup
Returns:
  count on key

#### getOrDefault

    public int getOrDefault​(double key,
                            int def)

#### extractValues

    public DCounts[] extractValues()

#### replaceWithUIDs

    public void replaceWithUIDs()

#### replaceWithUIDsNoZero

    public void replaceWithUIDsNoZero()

#### getUnorderedCountsAndReplaceWithUIDs

    public int[] getUnorderedCountsAndReplaceWithUIDs()

#### getUnorderedCountsAndReplaceWithUIDsWithout0

    public int[] getUnorderedCountsAndReplaceWithUIDsWithout0()

#### getMostFrequent

    public double getMostFrequent()

#### getDictionary

    public double[] getDictionary()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### reset

    public void reset​(int size)